# -*- mode: rpm-spec; coding: utf-8 -*-
Name: squashfs
Version: 1.3r3
Release: alt2

Summary: squashfs support
License: GPL
Group: System/Kernel and hardware
Url: http://squashfs.sourceforge.net

Source0: %name%version.tar.bz2
Patch: squashfs1.3r3-alt-xfs_2.4.24.patch

BuildRequires: zlib-devel kernel-build-tools >= 0.6

%description
Squashfs is a compressed read-only filesystem for Linux. Squashfs is
intended for general read-only filesystem use, for archival use
(i.e. in cases where a .tar.gz file may be used), and in constrained
block device/memory systems (e.g. embedded systems) where low overhead
is needed. The filesystem is currently stable, and has been tested on
PowerPC, i586, Sparc and ARM architectures.

%package -n squashfsprogs
Summary: Utilities to operate w/ squashfs
Group: System/Kernel and hardware
%description -n squashfsprogs
Squashfs is a compressed read-only filesystem for Linux. Squashfs is
intended for general read-only filesystem use, for archival use
(i.e. in cases where a .tar.gz file may be used), and in constrained
block device/memory systems (e.g. embedded systems) where low overhead
is needed. The filesystem is currently stable, and has been tested on
PowerPC, i586, Sparc and ARM architectures.

This package includes utilities to operate w/ squashfs.
Currently it includes only mksquashfs

%package -n kernel-feat-fs-squashfs
Summary: kernel-feat-fs-squashfs kernel patch - Squashfs filesystem
Group: Development/Other
%description -n kernel-feat-fs-squashfs
Squashfs is a compressed read-only filesystem for Linux. Squashfs is
intended for general read-only filesystem use, for archival use
(i.e. in cases where a .tar.gz file may be used), and in constrained
block device/memory systems (e.g. embedded systems) where low overhead
is needed. The filesystem is currently stable, and has been tested on
PowerPC, i586, Sparc and ARM architectures.

This package includes kernel patches needed for squashfs support in kernel

%prep
%setup -q -n %name%version
%patch -p1

%build
pushd squashfs-tools
make
popd


%install
%__mkdir_p %buildroot/sbin
%__install -m 0755 squashfs-tools/mksquashfs %buildroot/sbin/
ln -sf mksquashfs %buildroot/sbin/mkfs.squashfs

%__mkdir_p %patches_dir/kernel-feat-fs-squashfs/2.{4,6}

%__install -m0644 linux-2.6.1/%name%version-patch %patches_dir/kernel-feat-fs-squashfs/2.6/2.6_01_%name%version-patch
%__install -m0644 linux-2.4.24/%name%version-patch %patches_dir/kernel-feat-fs-squashfs/2.4/2.4_01_%name%version-patch

%files -n squashfsprogs
%doc ACKNOWLEDGEMENTS README CHANGES
/sbin/*

%files -n kernel-feat-fs-squashfs
%patches/*

%changelog
* Thu May 20 2004 Alexey Morozov <morozov@altlinux.org> 1.3r3-alt2
- Initial build.

* Mon Mar 29 2004 Anton Farygin <rider@altlinux.ru> 1.3-alt1
- first build
